[@bigcommerce/checkout-sdk](../README.md) / InventorySettings

# Interface: InventorySettings

## Table of contents

### Properties

- [backorderAvailabilityPrompt](InventorySettings.md#backorderavailabilityprompt)
- [defaultShippingExpectationPrompt](InventorySettings.md#defaultshippingexpectationprompt)
- [shouldDisplayBackorderMessagesOnStorefront](InventorySettings.md#shoulddisplaybackordermessagesonstorefront)
- [showBackorderAvailabilityPrompt](InventorySettings.md#showbackorderavailabilityprompt)
- [showBackorderMessage](InventorySettings.md#showbackordermessage)
- [showDefaultShippingExpectationPrompt](InventorySettings.md#showdefaultshippingexpectationprompt)
- [showQuantityOnBackorder](InventorySettings.md#showquantityonbackorder)
- [showQuantityOnHand](InventorySettings.md#showquantityonhand)

## Properties

### backorderAvailabilityPrompt

• **backorderAvailabilityPrompt**: ``null`` \| `string`

___

### defaultShippingExpectationPrompt

• **defaultShippingExpectationPrompt**: ``null`` \| `string`

___

### shouldDisplayBackorderMessagesOnStorefront

• **shouldDisplayBackorderMessagesOnStorefront**: `boolean`

___

### showBackorderAvailabilityPrompt

• **showBackorderAvailabilityPrompt**: `boolean`

___

### showBackorderMessage

• **showBackorderMessage**: `boolean`

___

### showDefaultShippingExpectationPrompt

• **showDefaultShippingExpectationPrompt**: `boolean`

___

### showQuantityOnBackorder

• **showQuantityOnBackorder**: `boolean`

___

### showQuantityOnHand

• **showQuantityOnHand**: `boolean`
